function fileCompile(settings)
%% low-level function
% internal package function
% input structures described in documentation
%
%  2020, Vojtech Neuman, neumavo1@fel.cvut.cz (2020)

evalc(['!pdflatex -shell-escape --enable-write18 '...
   '--extra-mem-bot=1000000000 --synctex=1 -interaction=nonstopmode '...
   [settings.FileName '.tex']]);
if settings.OpenAfter
   dos([settings.FileName '.pdf &']);
end
delete([settings.FileName '.aux']);
delete([settings.FileName '.log']);
delete([settings.FileName '.synctex.gz']);

end