function drawCircumSphere(fid,radiusOfCircumSphere,settings)
%% low-level function
% internal package function
% input structures described in documentation
%
%  2020, Vojtech Neuman, neumavo1@fel.cvut.cz (2020)

fprintf(fid,'%% ===== Circum Sphere =====\n');
if settings.CoordinatesCross && settings.Colorbar
   fprintf(fid,['\\fill[color=white,fill opacity = 0]'...
      '(%1.4f,%1.4f) rectangle (%1.4f,%1.4f);\n\n'],...
      radiusOfCircumSphere*1.55*[-1 -1 1 1/sqrt(2)]);
elseif settings.CoordinatesCross && ~settings.Colorbar
   fprintf(fid,['\\fill[color=white,fill opacity = 0]'...
      '(%1.4f,%1.4f) rectangle (%1.4f,%1.4f);\n\n'],...
      radiusOfCircumSphere*1.55*[-1 -1 1/sqrt(2) 1/sqrt(2)]);
else
   fprintf(fid,['\\shade[ball color=white, fill opacity=0] '...
      '(0,0) circle (%1.4f);\n\n\n'],radiusOfCircumSphere);
end
end